classification
Title: Add detail to an assertion failure message in wsgiref
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: cheryl.sabella Nosy List: cheryl.sabella, rhettinger
Priority: normal Keywords: easy, patch

Created on 2018-12-23 01:19 by rhettinger, last changed 2018-12-26 00:01 by rhettinger. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11293 merged cheryl.sabella, 2018-12-23 02:34
PR 11317 merged rhettinger, 2018-12-25 23:19
PR 11317 merged rhettinger, 2018-12-25 23:19
PR 11317 merged rhettinger, 2018-12-25 23:19
Messages (3)
msg332378 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2018-12-23 01:19
On line 236 in Lib/wsgiref/handlers.py, we get the assertion message, "Hop-by-hop headers not allowed".   

That message should should show the *name* and *value* that triggered the failure.  Otherwise, it is difficult to know which header caused the problem (in my case, it was Connection: close).
msg332522 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2018-12-25 23:19
New changeset 5ef4fc241aea6759ef3f55b1ef564aebc492a0db by Raymond Hettinger (Cheryl Sabella) in branch 'master':
bpo-35565: Add detail to assertion failure message in wsgiref (GH-11293)
https://github.com/python/cpython/commit/5ef4fc241aea6759ef3f55b1ef564aebc492a0db
msg332523 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2018-12-25 23:59
New changeset b6af23ebf9d6667fa222e804f045735289b4527f by Raymond Hettinger in branch 'master':
Revert "bpo-35565: Add detail to assertion failure message in wsgiref" (GH-11317)
https://github.com/python/cpython/commit/b6af23ebf9d6667fa222e804f045735289b4527f
History
Date User Action Args
2018-12-26 00:01:16rhettingersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-12-25 23:59:09rhettingersetmessages: + msg332523
2018-12-25 23:19:59rhettingersetpull_requests: + pull_request10567
2018-12-25 23:19:55rhettingersetpull_requests: + pull_request10566
2018-12-25 23:19:52rhettingersetpull_requests: + pull_request10565
2018-12-25 23:19:15rhettingersetmessages: + msg332522
2018-12-23 02:34:31cheryl.sabellasetkeywords: + patch
stage: patch review
pull_requests: + pull_request10523
2018-12-23 01:19:21rhettingercreate